=== debian/control ===
Source: ros-melodic-sick-scan
Section: misc
Priority: optional
Maintainer: Michael Lehning <michael.lehning@lehning.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/sick_scan
Standards-Version: 3.9.2

Package: ros-melodic-sick-scan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-message-runtime, ros-melodic-pcl-conversions, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-visualization-msgs
Description: A ROS driver for the SICK TiM and SICK MRS series of lidars.
 This package is based on the original sick_tim-repository of Martin Günther et al.
